The Internet has made a lot of progress in the last few years. Censorship has been virtually eliminated. Youtube comments are universally insightful. The people owning networks and dropping docs are now only occasionally on the FBI payroll. Published breaches are at an all-time low. Everyone is running IPv6.


In light of all this progress, it is with a heavy heart that we must announce the demise of IPv4 support in all Metasploit products. This decision has been in the offing for several years, but today, in this time of progress, we've finally made the move.


This is what users of our Pro products will see when using outdated addresses:



And the same error when using the Framework:



Despite the obvious advantages of dropping legacy addressing, switching to only IPv6 is not without its difficulties. Some systems still resolve "localhost" as, which of course won't work. We offer a simple workaround for Windows (Vista and newer) that I know everyone will find to be an easy replacement: using a brilliant stroke of networking genius from Microsoft, you can replace "localhost" with "", which at least for me is easier to remember anyway. Antiquated systems like Linux don't have this useful bit of kit, so you'll just have to content yourself with using the real IPv6 address instead.


We're confident that users will appreciate the simplicity of supporting only one addressing scheme, and are excited to help future-proof the world of pen-testing.